using System.IO;
using System.Net;
using System.Threading.Tasks;
namespace AVS
{
    public class SoftwareVersionUtility
    {
       public string SvnUrlPKG = "http://svn.utopiadeals.com:7700/svn/Technology/Utopia%20Tracker%20Utils/AVS/Publish/";
        public  string SvnUrlPKG_softVersion = "http://svn.utopiadeals.com:7700/svn/Technology/Utopia%20Tracker%20Utils/AVS/SoftwareVersion.txt";


         string UserName = "muhammad.faique";
         string Pass = "mFaique95";
         WebClient webClient = new WebClient();

       


        public async Task<string> CheckVersion()
        {
            webClient.Credentials = new NetworkCredential(UserName, Pass);
            string GetVersionFromSVN = webClient.DownloadString(SvnUrlPKG_softVersion);
            return GetVersionFromSVN;

        }

    }
}
